Update a challenge for a user
curl --request PATCH \
--url https://backendapi.corbado.io/v2/users/{userID}/challenges/{challengeID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://backendapi.corbado.io/v2/users/{userID}/challenges/{challengeID}"
payload = { "value": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://backendapi.corbado.io/v2/users/{userID}/challenges/{challengeID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"challengeID": "<string>",
"identifierValue": "<string>",
"value": "<string>",
"expires": 123
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Challenges
Update a challenge for a user
Updates a challenge for a user by given userID and challengeID. For example, this can be used to change the challenge status from pending to completed.
PATCH
/
users
/
{userID}
/
challenges
/
{challengeID}
Update a challenge for a user
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
Example:
"usr-4693224802260150919"
ID of challenge
Body
application/json
Was this page helpful?
⌘I